<?php
require("../../class/connect.php");
include("../../class/db_sql.php");
include("../../class/config.php");
include("../../class/functions.php");
$link=db_connect();
$empire=new mysqlquery();
$logininid=getcvar('loginuserid');
$loginin=getcvar('loginusername');
$loginrnd=getcvar('loginrnd');
$loginlevel=getcvar('loginlevel');
$editor=1;
is_login($logininid,$loginin,$loginrnd);
//验证权限
//CheckLevel($logininid,$loginin,$classid,"table");
$url="<a href=ListTable.php>管理数据表</a>&nbsp;&nbsp;(<a href=AddTable.php?enews=AddTable>新建数据表</a>)&nbsp;&nbsp;(<a href='LoadInM.php'>导入系统模型</a>)";
$sql=$empire->query("select tid,tname,tbname,isdefault from {$dbtbpre}enewstable order by tid");
//风格
$loginadminstyleid=(int)getcvar('loginadminstyleid');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>管理数据表</title>
<link href="../adminstyle/<?=$loginadminstyleid?>/adminstyle.css" rel="stylesheet" type="text/css">
</head>

<body>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr>
    <td>位置：<?=$url?></td>
  </tr>
</table>
<br>
  
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
  <tr class="header"> 
    <td width="7%" height="25"><div align="center">ID</div></td>
    <td width="40%" height="25"><div align="center">表名称</div></td>
    <td width="53%" height="25"><div align="center">操作</div></td>
  </tr>
  <?
  while($r=$empire->fetch($sql))
  {
  //默认表
  if($r[isdefault])
  {$bgcolor="#DBEAF5";}
  else
  {$bgcolor="#ffffff";}
  ?>
  <tr bgcolor="<?=$bgcolor?>"> 
    <td height="25"><div align="center"> 
        <?=$r[tid]?>
      </div></td>
    <td height="25"><div align="center"> 
        <?=$r[tname]?>&nbsp;(<?=$dbtbpre?>ecms_<b><?=$r[tbname]?></b>)
      </div></td>
    <td height="25"><div align="center">[<a href="#ecms" onclick="window.open('ListF.php?tid=<?=$r[tid]?>&tbname=<?=$r[tbname]?>','','width=700,height=560,scrollbars=yes,top=70,left=100');"><strong>管理字段</strong></a>] 
        [<a href="#ecms" onclick="window.open('ListM.php?tid=<?=$r[tid]?>&tbname=<?=$r[tbname]?>','','width=700,height=560,scrollbars=yes,top=70,left=100');"><strong>管理系统模型</strong></a>] 
        [<a href="../enews.php?enews=DefaultTable&tid=<?=$r[tid]?>" onclick="return confirm('确认要默认?');"><strong>设为默认表</strong></a>] 
        [<a href="CopyTable.php?enews=CopyNewTable&tid=<?=$r[tid]?>"><strong>复制</strong></a>] 
		[<a href="AddTable.php?enews=EditTable&tid=<?=$r[tid]?>"><strong>修改</strong></a>] 
        [<a href="../enews.php?enews=DelTable&tid=<?=$r[tid]?>" onclick="return confirm('确认要删除?');"><strong>删除</strong></a>] 
      </div></td>
  </tr>
  <?
	}
	?>
</table>
</body>
</html>
<?
db_close();
$empire=null;
?>
